# Functor Pickle_class.Builder

    module Builder: functor (Generator : Pa_deriving_common.Defs.Generator) -> sig .. end

Parameters:

`Generator` | : | `Pa_deriving_common.Defs.Generator`

    module Helpers: Generator.AstHelpers

    val wrap : 'a ->
           picklers:Camlp4.PreCast.Ast.match_case list ->
           unpickler:Camlp4.PreCast.Ast.expr -> Camlp4.PreCast.Ast.str_item list

    val generator : Generator.generator

    val generate : Pa_deriving_common.Type.decl list -> Camlp4.PreCast.Ast.str_item

    val generate_sigs : Pa_deriving_common.Type.decl list -> Camlp4.PreCast.Ast.sig_item